// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Box.hpp"

using namespace Dawn;

bool_t boxIsPointInside(glm::vec2 point, glm::vec2 min, glm::vec2 max) {
  return (
    point.x >= min.x && point.x <= max.x &&
    point.y >= min.y && point.y <= max.y
  );
}